For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

Need Your Help

renyu_teng's picture
Forums: 

hi guys,

I have a surface defined as "Handle(Geom_BSplineSurface) surf", I want to hook this surface with the OCAF (application frame work), could you please tell me how to do it?

I have tried the following procedure:

BRep_Builder BrepB;
TopoDS_Face aFace;
BrepB.MakeFace(aFace, surf, Precision::Confusion());
//BRepPrimAPI_MakeCylinder mkCyl( gp_Ax2gp_Pnt(x, y ,z), gp_Dir(1,0,0)), r, l);
//TopoDS_Shape ResultShape = mkCyl.Shape();
// Build a TNaming_NamedShape using built yl
TNaming_Builder B(Label());
B.Generated(aFace);

It doesnt' work. I don't know why.

thanks you.

Eric